> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decisionly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a case

> Returns a case by ID.



## OpenAPI

````yaml /api-reference/v2/openapi.yaml get /v2/issuer/cases/{case_id}
openapi: 3.0.0
info:
  title: Decisionly API v2
  description: Claims-based API for submission and handling of chargebacks by issuers.
  version: 2.0.0
servers:
  - url: https://api.decisionly.com
    description: Production server. Use your test key for the sandbox environment.
security:
  - basicAuth: []
tags:
  - name: v2 Cases
    description: Case management endpoints
  - name: v2 Claims
    description: Claim management endpoints
  - name: v2 Events
    description: Event endpoints
  - name: v2 Files
    description: File upload endpoints
  - name: v2 Beta
    description: Beta features - These endpoints are experimental and subject to change
paths:
  /v2/issuer/cases/{case_id}:
    get:
      tags:
        - v2 Cases
      summary: Retrieve a case
      description: Returns a case by ID.
      parameters:
        - name: case_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns the case.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Case'
components:
  schemas:
    Case:
      type: object
      properties:
        cardholder:
          $ref: '#/components/schemas/Cardholder'
        case_id:
          description: Unique identifier for the case.
          type: string
          example: case_abc123
        claim_id:
          description: >-
            The claim this case belongs to. Read-only. Cases are added to claims
            using the claims API.
          type: string
          nullable: true
          example: claim_abc123
        created:
          description: When the case was created. ISO 8601 format.
          type: string
          format: date-time
          example: '2026-04-01T00:00:00.000Z'
        custom_fields:
          type: object
          additionalProperties: true
          description: >-
            Custom key-value pairs for storing additional data with your cases.
            See [Custom Fields documentation](/custom-fields) for more details.
        dispute:
          $ref: '#/components/schemas/CaseDispute'
        issuer_evidence:
          $ref: '#/components/schemas/IssuerEvidence'
        merchant:
          $ref: '#/components/schemas/Merchant'
        program_id:
          description: Your unique identifier for the card program the case belongs to.
          type: string
          nullable: true
          maxLength: 126
          example: 550e8400-e29b-41d4-a716-446655440000
        reason:
          deprecated: true
          description: Deprecated. Use `dispute.reason` instead.
          type: string
          enum:
            - canceled_or_returned
            - cash_not_received
            - credit_not_processed
            - duplicate_charge
            - fraud
            - incorrect_amount
            - invalid_authorization
            - other
            - product_counterfeit
            - product_not_as_described
            - product_not_received
            - subscription_canceled
          example: fraud
        resolution_due_date:
          description: >-
            The deadline by which the case must be resolved. Read-only. ISO 8601
            format.
          type: string
          format: date-time
          nullable: true
          example: '2026-07-01T00:00:00.000Z'
        status:
          description: The status of the case.
          type: string
          enum:
            - created
            - chargeback_filed
            - chargeback_represented
            - prearb_received
            - prearb_filed
            - prearb_rebutted
            - arbitration_filed
            - won
            - lost
            - accepted
            - rejected
            - expired
            - withdrawn
            - merchant_credited
          example: created
        transaction:
          $ref: '#/components/schemas/Transaction'
    Cardholder:
      type: object
      description: Details of the cardholder.
      properties:
        billing_address:
          description: The billing address of the cardholder.
          type: object
          properties:
            city:
              description: City, district, suburb, town, or village.
              type: string
              nullable: true
              maxLength: 100
              example: San Francisco
            country:
              description: Two-letter country code (ISO 3166-1 alpha-2).
              type: string
              nullable: true
              minLength: 2
              maxLength: 2
              pattern: ^[A-Z]{2}$
              example: US
            line1:
              description: Address line 1 (street address).
              type: string
              nullable: true
              maxLength: 200
              example: 742 Evergreen Terrace
            line2:
              description: Address line 2 (apartment, suite, etc).
              type: string
              nullable: true
              maxLength: 200
              example: Unit 5B
            postal_code:
              description: ZIP or postal code.
              type: string
              nullable: true
              maxLength: 20
              example: '94102'
            state:
              description: State, county, province, or region.
              type: string
              nullable: true
              maxLength: 100
              example: CA
        email:
          description: The email of the cardholder.
          type: string
          format: email
          example: jane@example.com
          maxLength: 320
        issuer_id:
          description: Your ID for the cardholder.
          type: string
          example: '9529456289'
          maxLength: 250
        name:
          description: The name of the cardholder.
          type: string
          example: Jane Smith
          maxLength: 250
        type:
          description: The type of cardholder. Defaults to individual.
          type: string
          enum:
            - individual
            - company
          example: individual
          default: individual
      required:
        - issuer_id
        - name
    CaseDispute:
      type: object
      description: Dispute details for the case.
      properties:
        amount:
          description: The disputed amount. In the smallest currency unit, such as cents.
          type: integer
          minimum: 1
          example: 2990
        currency:
          description: Three-letter ISO 4217 currency code of the disputed amount.
          type: string
          minLength: 3
          maxLength: 3
          example: USD
        date:
          description: When the dispute was raised. Must be in the past. ISO 8601 format.
          type: string
          format: date-time
          example: '2026-04-01T00:00:00.000Z'
        raised_by:
          description: >-
            Was the dispute raised by the cardholder or the issuer. Defaults to
            cardholder.
          type: string
          enum:
            - cardholder
            - issuer
          example: cardholder
          default: cardholder
        reason:
          description: The reason for the dispute.
          type: string
          enum:
            - canceled_or_returned
            - cash_not_received
            - credit_not_processed
            - duplicate_charge
            - fraud
            - incorrect_amount
            - invalid_authorization
            - other
            - product_counterfeit
            - product_not_as_described
            - product_not_received
            - subscription_canceled
          example: fraud
      required:
        - amount
        - currency
        - date
        - reason
    IssuerEvidence:
      type: object
      description: Issuer evidence for the dispute.
      properties:
        amount_correction:
          $ref: '#/components/schemas/AmountCorrection'
          nullable: true
        cancellation:
          $ref: '#/components/schemas/CancellationEvidence'
          nullable: true
        card:
          $ref: '#/components/schemas/CardEvidence'
          nullable: true
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        delivery:
          $ref: '#/components/schemas/DeliveryEvidence'
          nullable: true
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v2-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        fraud:
          $ref: '#/components/schemas/FraudEvidence'
          nullable: true
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
        merchant_contact:
          $ref: '#/components/schemas/MerchantContact'
          nullable: true
        prior_transaction:
          $ref: '#/components/schemas/PriorTransaction'
          nullable: true
        product:
          $ref: '#/components/schemas/ProductEvidence'
          nullable: true
        refund:
          $ref: '#/components/schemas/RefundEvidence'
          nullable: true
        return:
          $ref: '#/components/schemas/ReturnEvidence'
          nullable: true
        service:
          $ref: '#/components/schemas/ServiceEvidence'
          nullable: true
    Merchant:
      type: object
      description: Details of the merchant.
      properties:
        category_code:
          description: The category code of the merchant.
          type: string
          minLength: 4
          maxLength: 4
          pattern: ^\d{4}$
          example: '5812'
          nullable: true
        issuer_id:
          description: Your ID for the merchant.
          type: string
          nullable: true
          example: '8201132789'
          maxLength: 250
        name:
          description: The name of the merchant.
          type: string
          example: FoodHub
          maxLength: 250
      required:
        - name
    Transaction:
      type: object
      description: Details of the disputed transaction.
      properties:
        amount:
          description: >-
            Settled amount of the transaction. In the smallest currency unit,
            such as cents.
          type: integer
          minimum: 1
          example: 2990
        arn:
          description: >-
            The acquirer reference number of the transaction. 23 digits for
            Mastercard or American Express, 23-24 digits for Visa. In live mode,
            the ARN must be unique per day.
          type: string
          example: '48162855246353338636162'
          nullable: true
          minLength: 23
          maxLength: 24
        card:
          $ref: '#/components/schemas/Card'
        currency:
          description: Currency of the transaction amount.
          type: string
          minLength: 3
          maxLength: 3
          example: USD
        date:
          description: Settlement date of the transaction. ISO 8601 format.
          type: string
          format: date-time
          example: '2026-03-15T00:00:00.000Z'
        issuer_id:
          description: Your unique ID for the transaction.
          type: string
          nullable: true
          example: 85cfda4d06b8440db3ec15af04061c98
          maxLength: 250
        network_details:
          type: object
          nullable: true
          description: >
            Network-specific transaction details. Provide the relevant
            sub-object for the card network.
          properties:
            amex:
              type: object
              description: Amex-specific transaction details.
              nullable: true
              properties:
                transaction_id:
                  type: string
                  description: The Amex transaction ID.
                  minLength: 15
                  maxLength: 15
                electronic_commerce_indicator:
                  type: string
                  description: Electronic Commerce Indicator (ECI) flag.
                  pattern: ^\d{2}$
                  minLength: 2
                  maxLength: 2
                  example: '05'
                cvv_check:
                  type: string
                  nullable: true
                  description: Result of the CVV check.
                  enum:
                    - pass
                    - fail
                    - not_checked
                    - not_available
                avs_postal_match:
                  type: string
                  nullable: true
                  description: Result of the AVS postal code match.
                  enum:
                    - pass
                    - fail
                    - not_checked
                    - not_available
                avs_street_match:
                  type: string
                  nullable: true
                  description: Result of the AVS street address match.
                  enum:
                    - pass
                    - fail
                    - not_checked
                    - not_available
            mastercard:
              type: object
              description: Mastercard-specific transaction details.
              nullable: true
              properties:
                switch_serial_number:
                  type: string
                  description: The switch serial number for single message transactions.
                  minLength: 9
                  maxLength: 9
        system:
          description: The transaction system (single message or dual message).
          type: string
          nullable: true
          enum:
            - single_message
            - dual_message
          example: dual_message
      required:
        - amount
        - arn
        - card
        - currency
        - date
    AmountCorrection:
      type: object
      description: Corrected transaction amount.
      properties:
        amount:
          type: integer
          nullable: true
          minimum: 1
          description: Corrected amount in smallest currency unit.
        currency:
          type: string
          nullable: true
          description: Three-letter ISO 4217 currency code.
          minLength: 3
          maxLength: 3
    CancellationEvidence:
      type: object
      description: Cancellation details.
      properties:
        date:
          type: string
          format: date-time
          nullable: true
          description: Cancellation date. Must be in the past. ISO 8601 format.
        description:
          type: string
          nullable: true
          description: Cancellation description.
          maxLength: 2000
        id:
          type: string
          nullable: true
          description: Cancellation ID.
          maxLength: 200
        policy_provided:
          type: boolean
          nullable: true
          description: Whether cancellation policy was provided.
    CardEvidence:
      type: object
      description: Status of the card, for fraud claims.
      properties:
        cardholder_has_possession:
          type: boolean
          nullable: true
          description: Whether cardholder currently has the card.
        is_active:
          type: boolean
          nullable: true
          description: >-
            Card status. Must be false for fraud chargebacks, indicating the
            card was canceled.
        lost_date:
          type: string
          format: date-time
          nullable: true
          description: Date card was lost or stolen. Must be in the past. ISO 8601 format.
        possession_at_transaction:
          type: string
          nullable: true
          enum:
            - had_possession
            - lost
            - stolen
            - not_received
          description: Card possession status at time of transaction.
    DeliveryEvidence:
      type: object
      description: Delivery details.
      properties:
        date:
          type: string
          format: date-time
          nullable: true
          description: Actual delivery date. Must be in the past. ISO 8601 format.
        expected_date:
          type: string
          format: date-time
          nullable: true
          description: Expected delivery date. Must be in the past. ISO 8601 format.
    FraudEvidence:
      type: object
      description: Fraud reporting details for the network fraud and loss database.
      properties:
        submit_report:
          type: boolean
          nullable: true
          description: >-
            Whether the issuer wants Decisionly to submit a fraud report to the
            network fraud and loss database when filing the fraud chargeback.
        was_reported:
          type: boolean
          nullable: true
          description: >-
            Whether the issuer has already submitted a fraud report to the
            network fraud and loss database.
    MerchantContact:
      type: object
      description: Details of merchant contact attempt.
      properties:
        date:
          type: string
          format: date-time
          nullable: true
          description: Date of contact attempt. Must be in the past. ISO 8601 format.
        description:
          type: string
          nullable: true
          description: Description of the contact attempt.
          maxLength: 2000
        prohibited_reason:
          type: string
          nullable: true
          description: Reason if contact was prohibited.
          maxLength: 2000
        was_attempted:
          type: boolean
          nullable: true
          description: Whether contact with the merchant was attempted.
        was_successful:
          type: boolean
          nullable: true
          description: Whether the merchant was available and responsive.
    PriorTransaction:
      type: object
      description: >-
        Details of a prior transaction. Can be a full transaction object or
        partial details.
      properties:
        amount:
          type: integer
          nullable: true
          description: Amount of the prior transaction in smallest currency unit.
        arn:
          description: The acquirer reference number of the transaction.
          type: string
          nullable: true
          example: '48162855246353338636162'
          minLength: 23
          maxLength: 23
        card:
          $ref: '#/components/schemas/PriorTransactionCard'
          nullable: true
        currency:
          type: string
          nullable: true
          minLength: 3
          maxLength: 3
          description: Three-letter ISO 4217 currency code of the prior transaction.
        date:
          type: string
          format: date-time
          nullable: true
          description: >-
            Settlement date of the prior transaction. Must be in the past. ISO
            8601 format.
        issuer_id:
          description: Your unique ID for the transaction.
          type: string
          nullable: true
          example: 85cfda4d06b8440db3ec15af04061c98
          maxLength: 250
    ProductEvidence:
      type: object
      description: Product details.
      properties:
        condition:
          type: string
          nullable: true
          description: Product condition.
          maxLength: 2000
        description:
          type: string
          nullable: true
          description: Product description.
          maxLength: 2000
        order_id:
          type: string
          nullable: true
          description: Order or invoice ID.
          maxLength: 200
        type:
          type: string
          nullable: true
          enum:
            - merchandise
            - service
            - digital
          description: Type of product.
    RefundEvidence:
      type: object
      description: Refund details.
      properties:
        description:
          type: string
          nullable: true
          description: Refund description.
          maxLength: 2000
        policy_provided:
          type: boolean
          nullable: true
          description: Whether refund policy was provided.
        promise_date:
          type: string
          format: date-time
          nullable: true
          description: Date refund was promised. Must be in the past. ISO 8601 format.
        was_promised:
          type: boolean
          nullable: true
          description: Whether refund was promised.
    ReturnEvidence:
      type: object
      description: Product return details.
      properties:
        date:
          type: string
          format: date-time
          nullable: true
          description: Date of return. Must be in the past. ISO 8601 format.
        description:
          type: string
          nullable: true
          description: Description of the return.
          maxLength: 2000
        policy_provided:
          type: boolean
          nullable: true
          description: Whether return policy was provided.
        shipping:
          $ref: '#/components/schemas/Shipping'
          nullable: true
        was_attempted:
          type: boolean
          nullable: true
          description: Whether return was attempted.
        was_successful:
          type: boolean
          nullable: true
          description: Whether return was successful and accepted by the merchant.
    ServiceEvidence:
      type: object
      description: Service details.
      properties:
        end_date:
          type: string
          nullable: true
          format: date-time
          description: Service end date. Must be in the past. ISO 8601 format.
    Card:
      type: object
      description: Details of the card used in the disputed transaction(s).
      properties:
        billing_cycle_day:
          description: >-
            The day of the month on which the cardholder's billing cycle closes
            (1–31).
          type: integer
          minimum: 1
          maximum: 31
          example: 15
          nullable: true
        expiry_month:
          description: The expiration month of the card.
          type: integer
          minimum: 1
          maximum: 12
          example: 12
        expiry_year:
          description: The expiration year of the card.
          type: integer
          example: 2028
        issuer_id:
          description: Your unique ID for the card (not the PAN).
          type: string
          nullable: true
          example: b5te350d5135ab64a8t3c1097tadetd9ettb
          maxLength: 250
        last4:
          description: The last four digits of the card.
          type: string
          pattern: ^\d{4}$
          example: '4242'
        network:
          description: The card network.
          type: string
          enum:
            - amex
            - discover
            - mastercard
            - visa
          example: mastercard
        type:
          description: The type of card. Defaults to credit.
          type: string
          enum:
            - debit
            - credit
          example: credit
          default: credit
      required:
        - last4
        - network
    PriorTransactionCard:
      type: object
      description: Details of the card used in a prior transaction.
      properties:
        expiry_month:
          description: The expiration month of the card.
          type: integer
          nullable: true
          minimum: 1
          maximum: 12
          example: 12
        expiry_year:
          description: The expiration year of the card.
          type: integer
          nullable: true
          example: 2028
        issuer_id:
          description: Your unique ID for the card (not the PAN).
          type: string
          nullable: true
          example: b5te350d5135ab64a8t3c1097tadetd9ettb
          maxLength: 250
        last4:
          description: The last four digits of the card.
          type: string
          nullable: true
          pattern: ^\d{4}$
          example: '4242'
        network:
          description: The card network.
          type: string
          nullable: true
          enum:
            - amex
            - discover
            - mastercard
            - visa
          example: mastercard
        type:
          description: The type of card. Defaults to credit.
          type: string
          nullable: true
          enum:
            - debit
            - credit
          example: credit
          default: credit
    Shipping:
      type: object
      description: Shipping information.
      properties:
        carrier:
          type: string
          nullable: true
          description: Shipping carrier name.
          maxLength: 100
        tracking_number:
          type: string
          nullable: true
          description: Tracking number.
          maxLength: 100
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your API key as the username. No password is required.

````